package com.ruoyi.invest.domain;

import com.ruoyi.tool.domain.TUnifyFile;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 尽调关联对象 t_project_investigate
 * 
 * @author zjc
 * @date 2024-03-13
 */
public class TProjectInvestigate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 尽调名称 */
    @Excel(name = "尽调名称")
    private String investigateName;

    /** 尽调编号 */
    @Excel(name = "尽调编号")
    private String investigateCode;

    /** 项目id */
    @Excel(name = "项目id")
    private String projectPoolId;

    /** 尽调人员 */
    @Excel(name = "尽调人员")
    private String investigatePerson;

    /** $column.columnComment */
    private String investigatePersonId;

    /** 尽调费用（元） */
    @Excel(name = "尽调费用", readConverterExp = "元=")
    private String investigateCost;

    /** 描述 */
    @Excel(name = "描述")
    private String describe;

    /** 删除状态 */
    private String delFlag;

    /**
     * 附件信息
     */
    private List<TUnifyFile> listFile;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setInvestigateName(String investigateName) 
    {
        this.investigateName = investigateName;
    }

    public String getInvestigateName() 
    {
        return investigateName;
    }
    public void setInvestigateCode(String investigateCode) 
    {
        this.investigateCode = investigateCode;
    }

    public String getInvestigateCode() 
    {
        return investigateCode;
    }
    public void setProjectPoolId(String projectPoolId) 
    {
        this.projectPoolId = projectPoolId;
    }

    public String getProjectPoolId() 
    {
        return projectPoolId;
    }
    public void setInvestigatePerson(String investigatePerson) 
    {
        this.investigatePerson = investigatePerson;
    }

    public String getInvestigatePerson() 
    {
        return investigatePerson;
    }
    public void setInvestigatePersonId(String investigatePersonId) 
    {
        this.investigatePersonId = investigatePersonId;
    }

    public String getInvestigatePersonId() 
    {
        return investigatePersonId;
    }
    public void setInvestigateCost(String investigateCost) 
    {
        this.investigateCost = investigateCost;
    }

    public String getInvestigateCost() 
    {
        return investigateCost;
    }
    public void setDescribe(String describe) 
    {
        this.describe = describe;
    }

    public String getDescribe() 
    {
        return describe;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public List<TUnifyFile> getListFile() {
        return listFile;
    }

    public void setListFile(List<TUnifyFile> listFile) {
        this.listFile = listFile;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("investigateName", getInvestigateName())
            .append("investigateCode", getInvestigateCode())
            .append("projectPoolId", getProjectPoolId())
            .append("investigatePerson", getInvestigatePerson())
            .append("investigatePersonId", getInvestigatePersonId())
            .append("investigateCost", getInvestigateCost())
            .append("describe", getDescribe())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
